<template>
    <div class="home-base centered">
        <bg-anime />
        <div class="flow-home is-flow">
            <div style="margin: 0; width: 100%">
                <head-one class="mobHead-bg" :class="{'head-bg': !anime0 && anime1}"/>
            <div style="margin: 0; height: 65px"></div>
            <div style="margin: 0; width: 100%" ref="target0">
            <banner-one/>
            </div>
            <div style="margin: 0; width: 100%" ref="target1">
                <banner-two />
            </div>
            <banner-tree/>
            <home-footer/>
            </div>
        </div>
    </div>
</template>

 <script setup lang="ts">
 import { defineAsyncComponent, onMounted, ref } from 'vue';
 import BgAnime from '../components/BgAnime.vue';
 import useIo from '../useFiles/useIo';
 import HeadOne from '../components/HeadOne.vue';
 import BannerOne from '../components/BannerOne.vue';

 const BannerTwo = defineAsyncComponent(() => import('../components/BannerTwo.vue'));
 const BannerTree = defineAsyncComponent(() => import('../components/BannerTree.vue'));
 const HomeFooter = defineAsyncComponent(() => import('../components/HomeFooter.vue'));

const cref1 = ref()
const cref2 = ref()

 const { lookAndMove, target0, anime0, target1, anime1 } = useIo();
 onMounted(() => {
    lookAndMove(anime0, target0, 0.05)
    lookAndMove(anime1, target1, 0.05)
})
 </script>

 <style scoped>
 .home-base {
     margin: 0;
     width: 100%;
     height: 100vh;
     position: relative;
 }
 .flow-home {
     margin: 0;
     width: 100%;
     height: 100vh;
     position: absolute;
 }

 /*version mobile*/
 @media (max-width: 1023px) {
     .mobHead-bg {
        background: var(--trans-black);
     }
 }


 /*version desktop*/
 @media (min-width: 1024px) {
    .head-bg {
        background: var(--trans-black);
        transition: background .5s;
    }
 }

 </style>